﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\LC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ONLINERESULT')
 CREATE TABLE T_LC_ONLINERESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FISREGISTER CHAR(1) DEFAULT '0' NOT NULL,
FCREDITNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOPENDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITFORM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMOREPROPORTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLESSPROPORTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDUEDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDUEADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPLICANTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPLICANTADDRESSEN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOUNTERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOUNTERADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHARACCNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHARCURRENCY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTBEAR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADVICNAPSCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADVIADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORWARDCNAPSCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFORWARDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAVWTBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAVWTBANKNMADD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONINSTRUCTIONS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCEPTORCNAPSCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCEPTORADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDRAFTCUSTFLG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCASHWAY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ONLINERESULT_E')
 CREATE TABLE T_LC_ONLINERESULT_E (
FID BIGINT DEFAULT 0 NOT NULL,
FDRAFTPROPORTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDRAFTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYDAYS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMIXDRAFTINVPROPORTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMIXDRAFTINVAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMIXTENORTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMIXTENORDAYS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDRAWEECNAPSCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDRAWEEADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISTRANSHIP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPARTSHIP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLASTSHIPDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHIPDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESENTPERIOD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRESENTDAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDELIVERYPORT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTAIR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTERMINIAIR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTERMINI NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGASDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDOCCLAUSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDOCCLAUSE_TAG NCLOB,
FADDCLAUSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDCLAUSE_TAG NCLOB,
FOTHERBANKINSTRUCTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FABTIMES NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSPOTARRIVEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFORWARDARRIVEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYAMTDONE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_DIRECTCONNSET')
 CREATE TABLE T_LC_DIRECTCONNSET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBANKTYPE BIGINT DEFAULT 0 NOT NULL,
FDEFAULTACCOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_DIRECTCONNSET_L')
 CREATE TABLE T_LC_DIRECTCONNSET_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ONLINEUPDATESTAT')
 CREATE TABLE T_LC_ONLINEUPDATESTAT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ONLINEUPDATEENTRY')
 CREATE TABLE T_LC_ONLINEUPDATEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCID BIGINT DEFAULT 0 NOT NULL,
FRETURNMSG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEBANKSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPLETEDATE DATETIME,
FSTATUSNEW NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_FEEPAYER')
 CREATE TABLE T_LC_FEEPAYER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_FEEPAYER_L')
 CREATE TABLE T_LC_FEEPAYER_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_B')
 CREATE TABLE T_LC_LETTERCREDIT_B (
FID BIGINT DEFAULT 0 NOT NULL,
FTRADECHANNEL NVARCHAR(50) DEFAULT 'offline' NOT NULL,
FBEBANKSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISRESUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FRETURNMSG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDAYS INT DEFAULT 0 NOT NULL,
FPAYMENTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRADETERMS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLFEEACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FSUBMITTIME DATETIME,
FFEEPAYERID BIGINT DEFAULT 0 NOT NULL,
FBILLTERM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLTERM_TAG NCLOB,
FADDTERM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDTERM_TAG NCLOB,
FSOURCEBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);

/**End D:\PDM\PDM_UPGRADE\PDM1\LC_table.sql **/
