-- T_LC_LETTERCREDIT_B 为新建的表，历史数据在新表中是没有记录的，所以先补上，新表其他字段会自动插入默认值
insert into T_LC_LETTERCREDIT_B (fid)
select fid from T_LC_LETTERCREDIT a
where not exists (select 1 from T_LC_LETTERCREDIT_B b where a.fid=b.fid);

-- 补上后，再确保更新一次历史数据的默认值——渠道
update T_LC_LETTERCREDIT_B set FTRADECHANNEL='offline'
where FTRADECHANNEL=''
or FTRADECHANNEL=' '
or FTRADECHANNEL is null;

-- 补上后，再确保更新一次历史数据的默认值——失败重提
update T_LC_LETTERCREDIT_B set FISRESUBMIT='0'
where FISRESUBMIT=''
or FISRESUBMIT=' '
or FISRESUBMIT is null;